//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TTrackBar *TrackBar1;
        TTrackBar *TrackBar2;
        TStaticText *StaticText1;
        TStaticText *StaticText2;
        TPanel *Panel1;
        TPanel *Panel2;
        TCheckBox *CheckBox1;
        TImage *Image1;
        TPanel *Panel3;
        TLabel *Label1;
        TLabel *Label2;
        TPanel *Panel4;
        TTimer *Timer1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TButton *Button2;
        TEdit *Edit1;
        TLabel *Label3;
        TCheckBox *CheckBox4;
        TTimer *Timer2;
        TLabel *Label4;
        TCheckBox *CheckBox5;
        TPanel *Panel5;
        TPanel *Panel6;
        TLabel *Label5;
        TLabel *Label6;
        TTrackBar *TrackBar3;
        TLabel *Label7;
        TEdit *Edit2;
        TLabel *Label8;
        TCheckBox *CheckBox6;
        TCheckBox *CheckBox7;
        TCheckBox *CheckBox8;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall TrackBar1Change(TObject *Sender);
        void __fastcall TrackBar2Change(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall CheckBox2Click(TObject *Sender);
        void __fastcall CheckBox3Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall Timer2Timer(TObject *Sender);
        void __fastcall CheckBox5Click(TObject *Sender);
        void __fastcall TrackBar3Change(TObject *Sender);
        void __fastcall CheckBox7Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;

extern "C" _declspec(dllimport) void start();
extern "C" _declspec(dllimport) void stop();
extern "C" _declspec(dllimport) void Gain(int input);
extern "C" _declspec(dllimport) void Exposure(int input);
extern "C" _declspec(dllimport) int gGain();
extern "C" _declspec(dllimport) int gExposure();
extern "C" _declspec(dllimport) int gnosna();
extern "C" _declspec(dllimport) void nosna(int input);
extern "C" _declspec(dllimport) double getfps();
extern "C" _declspec(dllimport) double getavampl();
extern "C" _declspec(dllimport) void initialize();
extern "C" _declspec(dllimport) void deinitialize();
extern "C" _declspec(dllimport) void ShowCam(int input);
extern "C" _declspec(dllimport) int gShowCam();
extern "C" _declspec(dllimport) void ShowAmpl(int input);
extern "C" _declspec(dllimport) int gShowAmpl();
extern "C" _declspec(dllimport) void SaveData();
extern "C" _declspec(dllimport) int gRegulace();
extern "C" _declspec(dllimport) void DoRegulace(int input);
extern "C" _declspec(dllimport) double getavpha();
extern "C" _declspec(dllimport) int getavpos();
extern "C" _declspec(dllimport) void setpiezo(int data);
extern "C" _declspec(dllimport) void Show3D(int input);
extern "C" _declspec(dllimport) int gShow3D();

//---------------------------------------------------------------------------
#endif
